#!/usr/bin/bash

# dir.sh -- generate dir.html directory file for graph viewer

# ----------------------------------------------------------------
# This file is part of code_graphs Copyright (C) 2011 Elijah 
# Laboratories Inc.  http://www.elilabs.com  ALL RIGHTS RESERVED.
#
# GNU cflow is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# code_graphs is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with code_graphs; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
# ----------------------------------------------------------------


cat dir.head

echo '     <img src=redball.gif><a href="==ALL==.pdf" target=contents>==ALL==</a><br>'


cat include_graph.sty \
 | awk -v qt='"' '{ name = substr($1,2) ; name = substr(name,1,length(name)-1)
                    color = substr($0,index($0,"fillcolor=")+10) ; color = substr(color,1,index(color,",")-1)
                    print "     <img src=" color "ball.gif><a href=" qt name ".pdf" qt " target=contents>" name "</a><br>" }' -

cat dir.foot


